# viewerPerformanceWatchdogMixin

#### viewerPerformanceWatchdogMixin(viewer, options)
Widgets/Viewer/viewerPerformanceWatchdogMixin.js 35

A mixin which adds the `PerformanceWatchdog` widget to the `Viewer` widget. Rather than being called directly, this function is normally passed as a parameter to `Viewer#extend`, as shown in the example below.

Name | Type | Description
--- | --- | ---
`viewer` | Viewer | The viewer instance.

`options`

Object

optional An object with properties.

Name | Type | Default | Description
--- | --- | --- | ---
`lowFrameRateMessage` | String | `'This application appears to be performing poorly on your system. Please try using a different web browser or updating your video drivers.'` | optional The message to display when a low frame rate is detected. The message is interpeted as HTML, so make sure it comes from a trusted source so that your application is not vulnerable to cross-site scripting attacks.

##### Throws:

- DeveloperError : viewer is required.

##### Example:

    var viewer = new Cesium.Viewer('cesiumContainer');
    viewer.extend(Cesium.viewerPerformanceWatchdogMixin, {
        lowFrameRateMessage : 'Why is this going so <em>slowly</em>?'
    });